org.eclipse.jface.viewers

## Interface ITreeViewerListener

    public interface ITreeViewerListener

A listener which is notified when a tree viewer expands or collapses a node.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `treeCollapsed(TreeExpansionEvent event)` Notifies that a node in the tree has been collapsed.
`void` `treeExpanded(TreeExpansionEvent event)` Notifies that a node in the tree has been expanded.

### Method Detail

#### treeCollapsed

    void treeCollapsed(TreeExpansionEvent event)

Notifies that a node in the tree has been collapsed.

Parameters:
  `event` - event object describing details

#### treeExpanded

    void treeExpanded(TreeExpansionEvent event)

Notifies that a node in the tree has been expanded.

Parameters:
  `event` - event object describing details